## allmydata-tahoe-1.0.0.tar.gz

=== Makefile ===

.PHONY: build test debian-sid debian-dapper debian-feisty debian-sarge
.PHONY: debian-edgy debian-etch

build:
	python setup.py build

TRIAL=trial
TEST=foolscap
test:
	$(TRIAL) $(TEST)

test-figleaf:
	rm -f .figleaf
	PYTHONPATH=misc/testutils trial --reporter=bwverbose-figleaf $(TEST)

figleaf-output:
	rm -rf coverage-html
	PYTHONPATH=misc/testutils python misc/testutils/figleaf2html -d coverage-html -r .
	@echo "now point your browser at coverage-html/index.html"
.figleaf.el: .figleaf
	PYTHONPATH=misc/testutils python misc/testutils/figleaf2el.py .figleaf .

debian-sid:
	rm -f debian
	ln -s misc/sid/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-etch:
	rm -f debian
	ln -s misc/etch/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-dapper:
	rm -f debian
	ln -s misc/dapper/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-edgy:
	rm -f debian
	ln -s misc/edgy/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-feisty:
	rm -f debian
	ln -s misc/feisty/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-sarge:
	rm -f debian
	ln -s misc/sarge/debian debian
	chmod a+x debian/rules
	debuild -uc -us

DOC_TEMPLATE=doc/template.tpl
docs:
	lore -p --config template=$(DOC_TEMPLATE) --config ext=.html \
	--config baseurl='api/%s-class.html' \
	`find doc -name '*.xhtml'`
doc/%.html: doc/%.xhtml
	lore -p --config template=$(DOC_TEMPLATE) --config ext=.html \
	--config baseurl='api/%s-class.html' \
	$<

api-docs:
	rm -rf doc/api
	PYTHONPATH=. epydoc -v -o doc/api --html -n Foolscap -u http://foolscap.lothar.com --exclude foolscap.test foolscap

pyflakes:
	pyflakes bin foolscap |sort |uniq

find-trailing-spaces:
	find-trailing-spaces -r bin foolscap

=== docs/Makefile ===

SOURCES = CHK-hashes.svg file-encoding1.svg file-encoding2.svg file-encoding3.svg file-encoding4.svg file-encoding5.svg file-encoding6.svg subtree1.svg

PNGS = $(patsubst %.svg,%.png,$(SOURCES))
EPSS = $(patsubst %.svg,%.eps,$(SOURCES))

.PHONY: images-png images-eps
all: $(PNGS) $(EPSS)
images-png: $(PNGS)
images-eps: $(EPSS)

%.png: %.svg
	inkscape -b white -d 90 --export-png $@ $<
%.eps: %.svg
	inkscape --export-eps $@ $<

clean:
	rm -f *.png *.eps

=== mac/Makefile ===

.PHONY: all dist build diskimage upload cleanup clean

all: build

dist: build diskimage upload cleanup

build:
	rsync -av ` sw_vers -productVersion | sed -e 's/^\(10\.[0-9]*\)\..*$$/\1/' `/ ./
	python setup.py py2app --no-chdir

diskimage:
	mv dist Allmydata-$(VERSION)
	hdiutil create -ov -srcfolder Allmydata-$(VERSION) allmydata-rw.dmg
	hdiutil convert -ov allmydata-rw.dmg -format UDRO -o allmydata-ro.dmg
	hdiutil convert -ov allmydata-ro.dmg -format UDZO -o Allmydata-$(VERSION).dmg
	hdiutil internet-enable -yes Allmydata-$(VERSION).dmg
	rm -r Allmydata-$(VERSION) allmydata-rw.dmg allmydata-ro.dmg

ifdef UPLOAD_DEST
upload:
	mkdir $(VERSION)
	cp Allmydata-$(VERSION).dmg $(VERSION)/
	chmod -R go+rx $(VERSION)/
	rsync -av $(VERSION) $(UPLOAD_DEST)
	rm -r $(VERSION)
else
upload:
	$(error UPLOAD_DEST must be set when using upload target. e.g. make upload UPLOAD_DEST=amduser@svn.allmydata.com:/home/amduser/public_html/dist/tahoe/mac-blah/)
endif

cleanup:
	rm Allmydata-$(VERSION).dmg

clean:
	rm -rf build dist

=== misc/dapper/debian/changelog ===
foolscap (0.2.4) unstable; urgency=low

  * new release, more logging improvements

 -- Brian Warner <warner@lothar.com>  Mon, 28 Jan 2008 18:09:40 -0800

foolscap (0.2.3) unstable; urgency=low

  * new release, logging improvements

 -- Brian Warner <warner@lothar.com>  Mon, 24 Dec 2007 15:02:52 -0800

foolscap (0.2.2) unstable; urgency=low

  * new release, hopefully connection-negotiation is fixed now

 -- Brian Warner <warner@lothar.com>  Wed, 12 Dec 2007 18:12:25 -0800

foolscap (0.2.1) unstable; urgency=low

  * new release, brown-paper-bag bug

 -- Brian Warner <warner@lothar.com>  Mon, 10 Dec 2007 16:22:35 -0800

foolscap (0.2.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 10 Dec 2007 15:39:15 -0800

foolscap (0.1.7) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 24 Sep 2007 19:54:36 -0700

foolscap (0.1.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Sat, 01 Sep 2007 23:58:54 -0700

foolscap (0.1.5) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 07 Aug 2007 17:47:53 -0700

foolscap (0.1.4) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 14 May 2007 22:37:04 -0700

foolscap (0.1.3) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed,  2 May 2007 14:55:49 -0700

foolscap (0.1.2) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed,  4 Apr 2007 12:32:46 -0700

foolscap (0.1.1) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue,  3 Apr 2007 20:48:07 -0700

foolscap (0.1.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Thu, 15 Mar 2007 16:56:16 -0700

foolscap (0.0.7) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 16 Jan 2007 12:03:00 -0800

foolscap (0.0.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 18 Dec 2006 12:10:51 -0800

foolscap (0.0.5) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Sat,  4 Nov 2006 23:20:46 -0800

foolscap (0.0.4) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Thu, 26 Oct 2006 00:46:30 -0700

foolscap (0.0.3) unstable; urgency=low

  * new upstream release, put debian packaging in the tree

 -- Brian Warner <warner@lothar.com>  Tue, 10 Oct 2006 19:16:13 -0700

foolscap (0.0.2) unstable; urgency=low

  * New upstream release of an experimental package

 -- Brian Warner <warner@lothar.com>  Thu, 27 Jul 2006 17:40:15 -0700

=== misc/feisty/debian/changelog ===
allmydata-tahoe (0.6.0-1plus) unstable; urgency=low

  * packaging the tahoe distribution.

 -- Brian Warner <warner@allmydata.com>  Wed, 26 Sep 2007 17:58:12 -0700

allmydata-tahoe (0.0.1) unstable; urgency=low

  * experimental packaging

 -- Brian Warner <warner@allmydata.com>  Mon,  4 Dec 2006 23:34:07 -0800

=== misc/feisty/debian/control ===
Source: allmydata-tahoe
Section: python
Priority: optional
Maintainer: Brian Warner <warner@allmydata.com>
Build-Depends: debhelper (>= 5.0.37.1), cdbs (>= 0.4.41), python-central (>= 0.4.10), python, python-all-dev
Build-Depends-Indep: python-twisted
XS-Python-Version: 2.4,2.5
Standards-Version: 3.7.2

Package: allmydata-tahoe
Architecture: all
Depends: ${python:Depends}, python-twisted, python-foolscap (>= 0.2.4), python-pyopenssl, python-nevow, python-simplejson (>= 1.4), python-zfec (>= 1.0.3), python-pycryptopp (>= 0.2.8)
Recommends:
XB-Python-Version: 2.4,2.5
Description: A secure distributed filestore
 Allmydata (tahoe2)

=== misc/sid/debian/control ===
Source: allmydata-tahoe
Section: python
Priority: optional
Maintainer: Brian Warner <warner@allmydata.com>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-central (>= 0.5), python, python-dev
Build-Depends-Indep: python-twisted-core
XS-Python-Version: 2.4
Standards-Version: 3.7.2

Package: allmydata-tahoe
Architecture: all
Depends: ${python:Depends}, python-twisted-core, python-foolscap (>= 0.2.4), python-pyopenssl, python-twisted-names, python-nevow, python-simplejson (>= 1.4), python-zfec (>= 1.0.3), python-pycryptopp (>= 0.2.8)
Recommends:
XB-Python-Version: 2.4
Description: A secure distributed filestore
 Allmydata (tahoe2)

=== misc/feisty/debian/rules ===
#! /usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

STAGING_DIR=$(CURDIR)/debian/allmydata-tahoe

# we overwrite the setuptools-generated /usr/bin/tahoe with our package's
# original version, because the setuptools form (using "entry points")
# insists upon .egg-info -visible forms of dependent packages to be
# installed. For a debian package, we rely upon the dependencies that are
# declared in debian/control .
#
# One disadvantage to this approach is that the #! line will not get updated
# to match the version of python that we're using for this build. Instead, it
# will retain the original '#!/usr/bin/env python', which has the potential
# to surprise people.

install/allmydata-tahoe::
	mkdir -pm755 $(STAGING_DIR)
	python setup.py install --root=$(STAGING_DIR)
	cp bin/tahoe $(STAGING_DIR)/usr/bin/

	dh_pycentral

clean::
	-rm -rf build
